Bug 27624 - SDB: "NSCD beendet sich" Artikel und Skripte für UCS 3.0 überarbeiten
SDB: "NSCD beendet sich" Artikel und Skripte für UCS 3.0 überarbeiten
Status: CLOSED FIXED
Product: SDB
Classification: Unclassified
Component: Update needed
unspecified
Other Linux
: P1 normal
: UCS 3.1
Assigned To: Janis Meybohm
Tim Petersen
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 14:21 CEST by Tobias Scherer
Modified: 2012-12-12 21:08 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Design
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Scherer univentionstaff 2012-06-19 14:21:57 CEST
Die am SDB Artikel "NSCD beendet sich" verfügbaren Skripte sollten überarbeitet und an UCS 3.0 angepasst werden.

Das NSCD Skript sollte die neuen Default Werte in UCS 3.0 berücksichtigen.

nscd/group/maxdbsize: 62914560
nscd/group/size: 56003
nscd/hosts/maxdbsize: <empty>
nscd/hosts/size: 6007
nscd/passwd/maxdbsize: <empty>
nscd/passwd/size: 6007

Das check_group_recursion.py Skript schlägt direkt fehl auf UCS 3.0

root@s4master: ~ $ python check_group_recursion.py 
Traceback (most recent call last):
  File "check_group_recursion.py", line 165, in <module>
    main()
  File "check_group_recursion.py", line 130, in main
    univention.admin.modules.init(lo, position, grp_module)
  File "/usr/lib/pymodules/python2.6/univention/admin/modules.py", line 101, in init
    univention.admin.ucr_overwrite_properties( module, lo )
  File "/usr/lib/pymodules/python2.6/univention/admin/__init__.py", line 51, in ucr_overwrite_properties
    ucr_prefix = 'directory/manager/web/modules/%s/properties/' % module.module
AttributeError: 'NoneType' object has no attribute 'module'


Ggf. sollten die Variablen 

nscd/restart/interval: <empty>
nscd/restart: <empty>
nscd/threads: <empty>

kurz erläutert werden.
Comment 1 Jan Christoph Ebersbach univentionstaff 2012-08-20 19:49:46 CEST
Dass check_group_recursion.py nicht funktioniert, ist auch an Ticket #2012081421000961 aufgefallen.
Comment 2 Janis Meybohm univentionstaff 2012-11-27 16:00:15 CET
Der Artikel enthält bereits eine Markierung dass er nur für UCS 2.4 gültig ist. Mit UCS 3.1 sollten wir die Probleme wg. der NSCD Ablösung nicht mehr sehen, daher habe ich nur die folgenden Anpassungen vorgenommen:

check_group_recursion wird jetzt als "/usr/share/univention-directory-manager-tools/check_group_recursion" angegeben da es im Produkt enthalten ist.

nscdCachesize.sh wird jetzt die UCS 3.0 defaults (oder größer) empfehlen - sollte über Nacht hochgeladen werden.
Comment 3 Tim Petersen univentionstaff 2012-11-28 09:23:55 CET
(In reply to comment #2)
> nscdCachesize.sh wird jetzt die UCS 3.0 defaults (oder größer) empfehlen -
> sollte über Nacht hochgeladen werden.

Auf dem Mirror kann ich die Anpassungen nachvollziehen - sie wurden allerdings heute Nacht nicht aktualisiert. Kannst du da nochmal schauen?
Comment 4 Tim Petersen univentionstaff 2012-12-06 11:26:44 CET
Das wurde mittlerweile gesynct.
Comment 5 Stefan Gohmann univentionstaff 2012-12-12 21:08:08 CET
UCS 3.1-0 has been released: 
 http://forum.univention.de/viewtopic.php?f=54&t=2125

If this error occurs again, please use "Clone This Bug".